$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 DiscoverConnectionProfileRequest export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  connectionProfile:
    description: An ad-hoc connection profile configuration.
    $ref: ConnectionProfile.yaml
  connectionProfileName:
    description: A reference to an existing connection profile.
    type: string
  fullHierarchy:
    description: |-
      Whether to retrieve the full hierarchy of data objects (TRUE) or only the
      current level (FALSE).
    type: boolean
  hierarchyDepth:
    description: |-
      The number of hierarchy levels below the current level to be retrieved.
    type: integer
  mysqlRdbms:
    description: MySQL RDBMS to enrich with child data objects and metadata.
    $ref: MysqlRdbms.yaml
  oracleRdbms:
    description: Oracle RDBMS to enrich with child data objects and metadata.
    $ref: OracleRdbms.yaml
  postgresqlRdbms:
    description: |-
      PostgreSQL RDBMS to enrich with child data objects and metadata.
    $ref: PostgresqlRdbms.yaml
  sqlServerRdbms:
    description: SQLServer RDBMS to enrich with child data objects and metadata.
    $ref: SqlServerRdbms.yaml
